%define upstream_name Console_Table
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name} 
Summary:	Class that makes it easy to build console style tables
Version: 	1.3.1
Release: 	%mkrel 5
License: 	PHP
Group:		Development/PHP
URL: 		https://pear.php.net/package/%{upstream_name}
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-Console_Color2
BuildArch: 	noarch


%description
Provides methods such as addRow(), insertRow(), addCol() etc. to build
console tables with or without headers and with user defined table rules
and padding.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=/tmp/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}/tmp/tests


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Console_Table.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_Table.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_Table
fi

%files
%{peardir}/*
%{xmldir}/Console_Table.xml


%changelog
* Sat Nov 19 2022 mokraemer <mokraemer> 1.3.1-5.mga9
+ Revision: 1908789
- removed unused testcases

* Tue Mar 22 2022 umeabot <umeabot> 1.3.1-4.mga9
+ Revision: 1819083
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3.1-3.mga8
+ Revision: 1507258
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1287669
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 mokraemer <mokraemer> 1.3.1-1.mga7
+ Revision: 1197199
- new version 1.3.1

* Fri Sep 15 2017 tv <tv> 1.3.0-1.mga7
+ Revision: 1154023
- fix SRPM creation due to doble noarch tag

* Sat Mar 12 2016 spuhler <spuhler> 1.3.0-1.mga6
+ Revision: 989664
- upgrade to vers. 1.3.0

* Tue Feb 09 2016 umeabot <umeabot> 1.2.1-2.mga6
+ Revision: 951039
- Mageia 6 Mass Rebuild

* Thu Dec 04 2014 spuhler <spuhler> 1.2.1-1.mga5
+ Revision: 801570
- upgrade to ver. 1.2.1
 * Add travis configuration
 * Try to autoload Console_Color2 first
 * Fix Composer definition syntax

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 749430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 687192
- Mageia 5 Mass Rebuild

* Sat Mar 22 2014 spuhler <spuhler> 1.2.0-3.mga5
+ Revision: 606586
- The Requires is php-pear-Console_Color2 instead of php-pear-Console_Color

* Sat Mar 22 2014 spuhler <spuhler> 1.2.0-2.mga5
+ Revision: 606566
-- added Requires: php-pear-Console_Color

* Thu Mar 13 2014 spuhler <spuhler> 1.2.0-1.mga5
+ Revision: 603164
- upgrade to ver. 1.2.0

* Tue Oct 22 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 545237
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 1.1.6-1.mga4
+ Revision: 500960
- upgrade to version 1.1.6

* Sat Jun 15 2013 spuhler <spuhler> 1.1.5-1.mga4
+ Revision: 443195
- upgrade to version 1.1.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.1.4-2.mga3
+ Revision: 375924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.1.4-1.mga1
+ Revision: 20708
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Console_Table

